{% load i18n %}
<!-- 
{
	error_message: "",
	post: Post(),
	title: ""
	question_ids: "[0,1,2,3]",
	questions: [
		{
			title: "",
			description: "",
			type: "",
			choices: [{
					id: 0,
					text: ""
				}
			]
		}
	]
}
 -->
<h3>{{ title }}</h3>

<!-- {% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %} -->

<form action="{% url 'poll-submit' post.id question_ids %}" method="post" class="poll">
		
	<input type="hidden" name="csrfmiddlewaretoken" value="[[csrf_token]]">
	
	<div class="questions">

	{% for question in questions %}

		<fieldset class="question" data-question-id="{{ question.id }}">
			<legend>{{ question.title }}</legend> 
				
				<p class="question-description">{{ question.description}}</p>

				{% for choice in question.choices %}

					{% if question.type == "radio" or question.type == "checkbox" %}

						<input type="{{question.type}}" name="question_{{question.id}}" id="choice_{{choice.id}}" value="{{ choice.id }}" [[choice_{{choice.id}}_value]]>
						<label for="choice_{{choice.id}}">{{ choice.text }}</label><br>

					{% else %}

						<p>choice.description</p>

					{% endif %}

				{% endfor %}


		</fieldset>

	{% endfor %}

	</div>
	
	<div class="answers">
	</div>
	
	<div class="poll-submit-buttons">
		<input class="btn btn-primary" type="submit" value="Answer">
		<button class="btn btn-link see-answers hidden">{% trans "See answers" %}</button>
	</div>

</form>